js-of-ocaml_2.2-2_amd64.deb


Advertisement

Description

js-of-ocaml - OCaml bytecode to JavaScript compiler (compiler)

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: js-of-ocaml
Package version: 2.2
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 3.32 KB
Download size: 504.95 KB
Official Mirror: ftp.br.debian.org
Js_of_ocaml is a compiler of OCaml bytecode to JavaScript. It makes it possible to run OCaml programs in a web browser. Its key features are the following: * the whole language, and most of the standard library are supported; * the generated code can be used with any web server and browser; * you can use a standard installation of OCaml to compile your programs. In particular, you do not have to recompile a library to use it with Js_of_ocaml. You just have to link your program with a specific library to interface with the browser APIs. This package contains the compiler itself.

Alternatives

    Download

    Source package: js-of-ocaml

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install js-of-ocaml deb package:
      # sudo apt-get install js-of-ocaml

    Files

    • /usr/bin/js_of_ocaml
    • /usr/bin/jsoo_minify
    • /usr/share/doc/js-of-ocaml/changelog.Debian.gz
    • /usr/share/doc/js-of-ocaml/changelog.gz
    • /usr/share/doc/js-of-ocaml/copyright
    • /usr/share/man/man1/js_of_ocaml.1.gz

    Changelog

    2014-06-18 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (2.2-2) unstable; urgency=medium * Fix FTBFS on bytecode architectures

    2014-06-17 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (2.2-1) unstable; urgency=medium * New upstream release (Closes: #751693) * debian/patches: + Fix generation of compiler.cm*

    2013-12-27 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (1.4-1) unstable; urgency=medium * New upstream release * Update Vcs-* * Bump Standards-Version to 3.9.5 (no changes)

    2013-12-07 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (1.3.2-4) unstable; urgency=low * Upload to unstable

    2013-11-11 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (1.3.2-3) experimental; urgency=low * Compile with OCaml >= 4.01

    2013-05-10 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (1.3.2-2) unstable; urgency=low [ Nicolas Dandrimont ] * Add a manpage for js_of_ocaml [ Stéphane Glondu ] * Use format version 1.0 in debian/copyright * Bump Standards-Version to 3.9.4 * Upload to unstable

    2012-12-07 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (1.3.2-1) experimental; urgency=low * New upstream release

    2012-12-07 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (1.3.1-1) experimental; urgency=low * New upstream release - bump build-dependency to lwt

    2012-11-14 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (1.2-2) unstable; urgency=low * Update upstream changelog and version (Closes: #691257)

    2012-06-08 - Stéphane Glondu <glondu@debian.org> js-of-ocaml (1.2-1) unstable; urgency=low * New upstream release

    Advertisement
    Advertisement